\pgfmathsetseed{1}

\usetikzlibrary{backgrounds}

\newcommand{\democircle}[3]{
	\coordinate (A) at (#1);

	\draw[
		shading=ball,
		ball color=#3!20,
		draw=#3!50!black!75,
	]
		(A) circle [radius=#2];
}

\begin{tikzpicture}[framed, scale=3.00]
	\pgfmathdeclarerandomlist{colour}{
		{blue}
		{cyan}
		{green}
		{magenta}
		{red}
		{yellow}
	}

	% Loop through k times
	\foreach \i in {1, 2, ..., 250}{
		% Picks a random item from the list "colour"
		\pgfmathrandomitem{\colour}{colour}

		% `rand` has a value between -1.00 and 1.00
		% See https://mirrors.ctan.org/graphics/pgf/base/doc/pgfmanual.pdf#subsection.95.3
		\democircle{
			rand, rand  % location
		}{
			rand*0.10  % scale
		}{
			\colour  % theme colour
		}
	}
\end{tikzpicture}
